# Interface MinimiserMonitor

public interface MinimiserMonitor
interface for a classes that wish to monitor the progress of a Minimiser

Author:
  Matthew Goode

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`MinimiserMonitor.Utils`

## Method Summary

Modifier and Type
Method
Description
`void`
`newMinimum(double value, double[] parameterValues, MultivariateFunction beingOptimized)`
Inform monitor of a new minimum, along with the current arguments.
`void`
`updateProgress(double progress)`
Inform monitor of current progress (as a number between 0 and 1), or -1 to reset

## Method Details

### updateProgress

void updateProgress(double progress)
Inform monitor of current progress (as a number between 0 and 1), or -1 to reset

### newMinimum

void newMinimum(double value, double[] parameterValues, MultivariateFunction beingOptimized)
Inform monitor of a new minimum, along with the current arguments. Monitors should NOT change the supplied array of parameterValues! This should be called in the same thread as the minimisation so that beingOptimized may be accessed within this call with out worry of conflicting with the optimisation process!